Name:           smartirc4net
BuildRequires:  mono-devel Nini log4net
Version:        0.4.5.1
Release:        2.9
License:        LGPL v2.1
Source0:        %{name}-%{version}.tar.gz
Group:          Productivity/Networking
Summary:        A C# class for communication with IRC networks
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
SmartIrc4net is a C# class for communication with IRC networks, which
conforms to the RFC 2812 (IRC Protocol).

%prep
%setup -q

%build
%configure --libdir=%{_prefix}/lib
%__make

%install
%__make install DESTDIR=%{buildroot}
%__mkdir -p %{buildroot}%{_datadir}
%__mv %{buildroot}%{_prefix}/lib/pkgconfig %{buildroot}%{_datadir}/pkgconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_prefix}/lib/smartirc4net
%{_prefix}/lib/mono/gac/Meebey.SmartIrc4net
%{_datadir}/pkgconfig/smartirc4net.pc

%changelog
* Fri Sep 19 2008 ajorgensen@novell.com
- smartirc4net version 0.4.5.1
